package com.storlead.sales.mail.connection;

import com.storlead.sales.mail.entity.EmailsEntity;
import com.sun.mail.pop3.POP3Folder;

import javax.mail.Folder;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Store;
import java.util.Objects;

public interface MailConnection {

    void connect() throws MessagingException;

    void close();

    Store getStore();

    Folder getFolder(String folderName);

    Message getMessageByUid(String uid,String folderName);

    String getMessageUid(Message message);
}
